#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>
#include <algorithm>
using namespace std;

static const int MAXN = 100012;

int N;
int A[ MAXN ];

void Read()
{
	int i;
	scanf( "%d", &N );
	for( i = 0; i < N; ++i )
	{
		scanf( "%d", &A[ i ] );
	}
}

inline bool Compare( int a, int b )
{
	return a > b;
}

int Result;

void Work()
{
	Result = 0;
	make_heap( A, A + N, Compare );
	
	while( N > 1 )
	{
		pop_heap( A, A + N--, Compare );
		pop_heap( A, A + N--, Compare );
		Result += A[ N ] += A[ N + 1 ];
		push_heap( A, A + ++N, Compare );
	}
}

void Write()
{
	printf( "%d\n", Result );
}

int main()
{
	int i, t;
	scanf( "%d", &t );
	for( i = 0; i < t; ++i )
	{
		Read();
		Work();
		Write();
	}
	return 0;
}
